Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. DocumentBundles
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. DocumentBundles

GET one document bundle

GET
/clients/{clientno}/documentbundles/{documentbundleid}
Get details for one document bundle based on documentBundleId as path parameter

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Responses

🟢200
application/json
Document bundle found
Headers

Body

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//documentbundles/' \
--header 'Accept-Language;' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Document bundle
{
    "clientNo": 2218,
    "documentBundleId": 5645323,
    "bundleType": "Invoice",
    "bundleDate": "2025-10-05",
    "glYear": 2025,
    "glPeriod": 10,
    "fileName": "InvoiceFile20251005.csv",
    "statusCode": 9,
    "statusDescription": "Doc distributed",
    "countDebit": 15,
    "countCredit": 1,
    "glAmountDebit": 15969.13,
    "glAmountCredit": 923.74,
    "glAmountDebitImported": 15969.13,
    "glAmountCreditImported": 923.74,
    "glCaseNo": 1170331,
    "createdTime": "2025-10-05T12:15:31.761+01:00"
}
Modified at 2026-04-14 09:49:15
Previous
GET a list of document bundles
Next
POST (create) one document
Built with